/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.5                   *
*********************************************************************************
* Id: fxmmExtractDialog.h,                        2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#ifndef FXMMEXTRACTDIALOG_H
#define FXMMEXTRACTDIALOG_H

//! The fileinputdialog class 

class fxmmExtractDialog : public FXDialogBox {
  FXDECLARE(fxmmExtractDialog)

protected:
  FXIcon            *cancelicon;
  FXIcon            *accepticon;
  FXVerticalFrame   *dialogframe;
  FXHorizontalFrame *inputframe;
  FXTextField       *pw_input;
  FXToggleButton    *pw_button;

protected:
  fxmmExtractDialog(){};
private:
  fxmmExtractDialog(const fxmmExtractDialog&){};
  fxmmExtractDialog &operator=(const fxmmExtractDialog&){};

public:
  long onCmdAccept(FXObject*,FXSelector,void*);
  long onCmdCancel(FXObject*,FXSelector,void*);

public:
  enum{
    ID_ACCEPT=FXMainWindow::ID_LAST,
    ID_CANCEL,
    ID_LAST
    };

public:
  // Construct the dialog
  fxmmExtractDialog(FXWindow *owner);
  // Run modal invocation of the dialog
  FXuint execute(FXuint placement=PLACEMENT_CURSOR);
  // Get input string
  FXString getPassword() const { return pw_input->getText(); }
  // Destroy
  virtual ~fxmmExtractDialog();
  };

#endif
