/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2013 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.4                   *
*********************************************************************************
* Id: fxmmfilelist.cpp,                           2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#include <fx.h>
#include "icons.h"
#include "fxmmFileList.h"
#include "config.h"

#ifdef INSTALLATIONPATH
 #define  ICON_REM_USB_RED     INSTALLATIONPATH  "/share/pixmaps/mime_removable_usb_red_small.gif"
 #define  ICON_REM_USB_GREEN   INSTALLATIONPATH  "/share/pixmaps/mime_removable_usb_green_small.gif"
 #define  ICON_REM_USB_CYAN    INSTALLATIONPATH  "/share/pixmaps/mime_removable_usb_cyan_small.gif"
 #define  ICON_REM_USB_ORANGE  INSTALLATIONPATH  "/share/pixmaps/mime_removable_usb_orange_small.gif"
 #define  ICON_FOLDER_LINK     INSTALLATIONPATH  "/share/pixmaps/mime_folder_cyan_link_small.gif"
 #define  ICON_FOLDER_ORANGE   INSTALLATIONPATH  "/share/pixmaps/mime_folder_orange_open_small.gif"
 #define  ICON_FOLDER_GREEN    INSTALLATIONPATH  "/share/pixmaps/mime_folder_green_open_small.gif"
 #define  ICON_FOLDER_CYAN     INSTALLATIONPATH  "/share/pixmaps/mime_folder_cyan_open_small.gif"
 #define  ICON_FOLDER_YELLOW   INSTALLATIONPATH  "/share/pixmaps/mime_folder_yellow_open_small.gif"
#else
 #define  ICON_REM_USB_RED     "/usr/local/share/pixmaps/mime_removable_usb_red_small.gif"
 #define  ICON_REM_USB_GREEN   "/usr/local/share/pixmaps/mime_removable_usb_green_small.gif"
 #define  ICON_REM_USB_CYAN    "/usr/local/share/pixmaps/mime_removable_usb_cyan_small.gif"
 #define  ICON_REM_USB_ORANGE  "/usr/local/share/pixmaps/mime_removable_usb_orange_small.gif"
 #define  ICON_FOLDER_LINK     "/usr/local/share/pixmaps/mime_folder_cyan_link_small.gif"
 #define  ICON_FOLDER_ORANGE   "/usr/local/share/pixmaps/mime_folder_orange_open_small.gif"
 #define  ICON_FOLDER_GREEN    "/usr/local/share/pixmaps/mime_folder_green_open_small.gif"
 #define  ICON_FOLDER_CYAN     "/usr/local/share/pixmaps/mime_folder_cyan_open_small.gif"
 #define  ICON_FOLDER_YELLOW   "/usr/local/share/pixmaps/mime_folder_yellow_open_small.gif"
#endif


// Map
FXDEFMAP(fxmmFileList) fxmmFileListMap[]={
	//________Message_Type__________________________ID__________________________Message_Handler_____________________
};

// Object implementation
FXIMPLEMENT(fxmmFileList,FXFileList,NULL,0)

// For serialization
fxmmFileList::fxmmFileList()
{

}

// Create a custom filelist
fxmmFileList::fxmmFileList(FXComposite *p,FXObject* tgt,FXSelector sel,FXuint opts,FXint x,FXint y,FXint w,FXint h):FXFileList(p, tgt, sel, opts, x, y, w, h)
{

}

// Destroy
fxmmFileList::~fxmmFileList(){

}


// update icon
void fxmmFileList::updateIconApp(FXApp* app, FXDirList *dirlist, const FXString& dirname){
  FXString path=FXPath::absolute(dirname);
  FXIcon *icon = NULL;
  // printf("PATH: %s\n", path.text());
  FXTreeItem *item=dirlist->getPathnameItem(path);

  if(dirlist->isItemDirectory(item)){

    FXString root_mnt=FXPath::relative("/mnt",dirname);
    FXString root_media=FXPath::relative("/media",dirname);

#ifdef HAVE_LIBFOX_1_6
    FXIconSource iconsource(app);

    if(comparecase(root_mnt,"usb")==0 || 
       comparecase(root_mnt,"usb1")==0 || 
       comparecase(root_mnt,"usb2")==0 || 
       comparecase(root_mnt,"usb3")==0 || 
       comparecase(root_mnt,"usb4")==0 || 
       comparecase(root_mnt,"usb5")==0 ||
       comparecase(root_media,"usb")==0 ||
       comparecase(root_media,"usb1")==0 ||
       comparecase(root_media,"usb2")==0 ||
       comparecase(root_media,"usb3")==0 ||
       comparecase(root_media,"usb4")==0 ||
       comparecase(root_media,"usb5")==0)
         icon=iconsource.loadIconFile(ICON_REM_USB_RED);
    else
    if(comparecase(root_mnt,"usc")==0 || 
       comparecase(root_mnt,"usc1")==0 || 
       comparecase(root_mnt,"usc2")==0 || 
       comparecase(root_mnt,"usc3")==0 || 
       comparecase(root_mnt,"usc4")==0 || 
       comparecase(root_mnt,"usc5")==0 ||
       comparecase(root_media,"usc")==0 ||
       comparecase(root_media,"usc1")==0 ||
       comparecase(root_media,"usc2")==0 ||
       comparecase(root_media,"usc3")==0 ||
       comparecase(root_media,"usc4")==0 ||
       comparecase(root_media,"usc5")==0)
         icon=iconsource.loadIconFile(ICON_REM_USB_RED);
    else 
    if(comparecase(root_mnt,"cd")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_media,"cd")==0 || 
       comparecase(root_media,"cd1")==0 || 
       comparecase(root_media,"cd2")==0 || 
       comparecase(root_media,"cd3")==0 || 
       comparecase(root_media,"cd4")==0 || 
       comparecase(root_media,"cd5")==0)
         icon=iconsource.loadIconFile(ICON_REM_USB_GREEN);
    else 
    if(comparecase(root_mnt,"dvd")==0 || 
       comparecase(root_mnt,"dvd1")==0 || 
       comparecase(root_mnt,"dvd2")==0 || 
       comparecase(root_mnt,"dvd3")==0 || 
       comparecase(root_mnt,"dvd4")==0 || 
       comparecase(root_mnt,"dvd5")==0 ||
       comparecase(root_media,"dvd")==0 || 
       comparecase(root_media,"dvd1")==0 || 
       comparecase(root_media,"dvd2")==0 || 
       comparecase(root_media,"dvd3")==0 || 
       comparecase(root_media,"dvd4")==0 || 
       comparecase(root_media,"dvd5")==0)
         icon=iconsource.loadIconFile(ICON_REM_USB_CYAN);
    else if(comparecase(path,"/home")==0)
      icon=iconsource.loadIconFile(ICON_FOLDER_ORANGE);
    else if(comparecase(path,"/tmp")==0)
      icon=iconsource.loadIconFile(ICON_FOLDER_GREEN);
    else if(comparecase(path,"/root")==0)
      icon=iconsource.loadIconFile(ICON_FOLDER_YELLOW);
    else
      icon=iconsource.loadIconFile(ICON_FOLDER_CYAN);

#elif HAVE_LIBFOX_1_7
    FXIconSource iconsource;

    if(comparecase(root_mnt,"usb")==0 || 
       comparecase(root_mnt,"usb1")==0 || 
       comparecase(root_mnt,"usb2")==0 || 
       comparecase(root_mnt,"usb3")==0 || 
       comparecase(root_mnt,"usb4")==0 || 
       comparecase(root_mnt,"usb5")==0 ||
       comparecase(root_media,"usb")==0 ||
       comparecase(root_media,"usb1")==0 ||
       comparecase(root_media,"usb2")==0 ||
       comparecase(root_media,"usb3")==0 ||
       comparecase(root_media,"usb4")==0 ||
       comparecase(root_media,"usb5")==0)
         icon=iconsource.loadIconFile(getApp(),ICON_REM_USB_RED);
    else
    if(comparecase(root_mnt,"usc")==0 || 
       comparecase(root_mnt,"usc1")==0 || 
       comparecase(root_mnt,"usc2")==0 || 
       comparecase(root_mnt,"usc3")==0 || 
       comparecase(root_mnt,"usc4")==0 || 
       comparecase(root_mnt,"usc5")==0 ||
       comparecase(root_media,"usc")==0 ||
       comparecase(root_media,"usc1")==0 ||
       comparecase(root_media,"usc2")==0 ||
       comparecase(root_media,"usc3")==0 ||
       comparecase(root_media,"usc4")==0 ||
       comparecase(root_media,"usc5")==0)
         icon=iconsource.loadIconFile(getApp(),ICON_REM_USB_RED);
    else 
    if(comparecase(root_mnt,"cd")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_mnt,"cd1")==0 || 
       comparecase(root_media,"cd")==0 || 
       comparecase(root_media,"cd1")==0 || 
       comparecase(root_media,"cd2")==0 || 
       comparecase(root_media,"cd3")==0 || 
       comparecase(root_media,"cd4")==0 || 
       comparecase(root_media,"cd5")==0)
         icon=iconsource.loadIconFile(getApp(),ICON_REM_USB_GREEN);
    else 
    if(comparecase(root_mnt,"dvd")==0 || 
       comparecase(root_mnt,"dvd1")==0 || 
       comparecase(root_mnt,"dvd2")==0 || 
       comparecase(root_mnt,"dvd3")==0 || 
       comparecase(root_mnt,"dvd4")==0 || 
       comparecase(root_mnt,"dvd5")==0 ||
       comparecase(root_media,"dvd")==0 || 
       comparecase(root_media,"dvd1")==0 || 
       comparecase(root_media,"dvd2")==0 || 
       comparecase(root_media,"dvd3")==0 || 
       comparecase(root_media,"dvd4")==0 || 
       comparecase(root_media,"dvd5")==0)
         icon=iconsource.loadIconFile(getApp(),ICON_REM_USB_CYAN);
    else if(comparecase(path,"/home")==0)
      icon=iconsource.loadIconFile(getApp(),ICON_FOLDER_ORANGE);
    else if(comparecase(path,"/tmp")==0)
      icon=iconsource.loadIconFile(getApp(),ICON_FOLDER_GREEN);
    else if(comparecase(path,"/root")==0)
      icon=iconsource.loadIconFile(getApp(),ICON_FOLDER_YELLOW);
    else
      icon=iconsource.loadIconFile(getApp(),ICON_FOLDER_CYAN);
#endif
  }
#ifdef HAVE_LIBFOX_1_7
  else
  if(dirlist->isItemSymlink(item)){
    FXIconSource iconsource;
    icon=iconsource.loadIconFile(getApp(),ICON_FOLDER_LINK);
  }
#endif

  if(icon){
      icon->blend(app->getBaseColor());
      icon->create();
      dirlist->setItemOpenIcon(item,icon);
  }
}


