/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.5                   *
*********************************************************************************
* Id: fxmmprogressbar.h,                          2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#ifndef FXMMPROGRESSBAR_H
#define FXMMPROGRESSBAR_H

#ifndef FXFRAME_H
#include <FXFrame.h>
#endif


enum {
  FXMMPROGRESSBAR_PLAIN = 0,
  FXMMPROGRESSBAR_TEXT  = 0x00010000,  /// Show percentage progression text
  FXMMPROGRESSBAR_DECOR = FRAME_SUNKEN|FRAME_THICK
};


//! subclass FXFrame to override some functions.
class fxmmProgressbar : public FXFrame {
  FXDECLARE(fxmmProgressbar)

protected:
    FXuint		progress;
    FXuint		total;
    FXint		barsize;
    FXFont*		font;
    FXPixel		barBackColor;
    FXPixel		barColor;
    FXPixel		textAltColor;
    FXPixel		textColor;

protected:
    fxmmProgressbar(){};
    void drawInterior(FXDCWindow& dc); // to be implemented in the .cpp file
private:
    fxmmProgressbar(const fxmmProgressbar&){};

public:
    long onPaint(FXObject*, FXSelector, void*);

public:
//  Construct a progressbar
    fxmmProgressbar(FXComposite* p,FXObject* tgt,FXSelector sel,FXuint opts=(FRAME_SUNKEN|FRAME_THICK),
                    FXint x=0,FXint y=0,FXint w=0,FXint h=0,FXint pl=DEFAULT_PAD,
                    FXint pr=DEFAULT_PAD,FXint pt=DEFAULT_PAD,FXint pb=DEFAULT_PAD);

    virtual FXint getDefaultWidth();
    virtual FXint getDefaultHeight();
//  Overload create() routine
    void create();
    void detach();
    void setProgress(FXuint value);
    void setTotal(FXuint value);
    void setFont(FXFont *fnt);
    void setBarBackColor(FXColor clr);
    void setBarColor(FXColor clr);
    void setTextAltColor(FXColor clr);
    void setTextColor(FXColor clr);
//  Destroy
	virtual ~fxmmProgressbar();
};

#endif
