/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.5                   *
*********************************************************************************
* Id: diskmapdialog.cpp,                          2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#include <xincs.h>
#include <fx.h>
#include "config.h"
#include "icons.h"
#include "DiskMapDialog.h"

// Map
FXDEFMAP(DiskMapDialog) DiskMapDialogMap[]={

  //__Message_Type__________ID___________________________________________________Message_Handler_____
  FXMAPFUNCS(SEL_COMMAND, DiskMapDialog::ID_OPTION_1,DiskMapDialog::ID_OPTION_11,   DiskMapDialog::onCmdOption),
  };

// Object implementation
FXIMPLEMENT(DiskMapDialog,FXDialogBox,DiskMapDialogMap,ARRAYNUMBER(DiskMapDialogMap))

// Create dialog
DiskMapDialog::DiskMapDialog(FXWindow *own)
  :FXDialogBox(own,"Disks Found",DECOR_TITLE|DECOR_BORDER|DECOR_RESIZE,0,0,600,400, 4,4,4,4, 4,4){

  cancelicon=new FXGIFIcon(getApp(),m_cancel);

  // global container
  contentframe=new FXHorizontalFrame(this,LAYOUT_FILL_X|LAYOUT_FILL_Y,0,0,0,0, 0,0,0,0);

  // list and buttons
  dialogframe=new FXVerticalFrame(contentframe,LAYOUT_FILL_X|LAYOUT_FILL_Y|FRAME_THICK|FRAME_SUNKEN, 0,0,0,0, 0,0,0,0,0,0);

  new FXLabel(dialogframe,"Click on the DEVICE to select it",NULL,LAYOUT_CENTER_X,0,0,0,0,0);
  new FXHorizontalSeparator(dialogframe,SEPARATOR_GROOVE|LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X);

  // list viewer
  listframe=new FXHorizontalFrame(dialogframe,LAYOUT_FILL_X|LAYOUT_FILL_Y,0,0,0,0, 0,0,0,0);
  list=new FXList(listframe,this,FXDialogBox::ID_ACCEPT,LIST_SINGLESELECT|LAYOUT_FILL_X|LAYOUT_FILL_Y);
  new FXHorizontalSeparator(dialogframe,SEPARATOR_GROOVE|LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X);

  new FXSeparator(dialogframe,SEPARATOR_GROOVE|LAYOUT_FILL_X);

  FXHorizontalFrame *copyright=new FXHorizontalFrame(dialogframe,LAYOUT_BOTTOM|LAYOUT_FILL_X,0,0,0,0,5,5,5,5);
  FXLabel *label = new FXLabel(copyright,"FXMovieManager - Current Search",NULL,LAYOUT_FILL_X|LAYOUT_CENTER_Y|JUSTIFY_LEFT,0,0,0,0,15);
  // set the same look of separators
  label->disable();

  // options
  optionsframe=new FXVerticalFrame(contentframe,LAYOUT_FILL_Y|FRAME_THICK|FRAME_SUNKEN, 0,0,0,0, 0,0,0,0,0,0);

  pop=new FXPopup(this);

  new FXOption(pop," AUTO\t-t auto\ttrust on automatic settings",NULL,this,ID_OPTION_1,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," iso9660\t-t iso9660\tset filesystem = iso9660",NULL,this,ID_OPTION_2,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," ext4\t-t ext4\tset filesystem = ext4",NULL,this,ID_OPTION_3,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," ext3\t-t ext3\tset filesystem = ext3",NULL,this,ID_OPTION_4,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," ext2\t-t ext2\tset filesystem = ext2",NULL,this,ID_OPTION_5,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," ntfs\t-t ntfs\tset filesystem = ntfs",NULL,this,ID_OPTION_6,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," vfat\t-t vfat\tset filesystem = vfat",NULL,this,ID_OPTION_7,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," msdos\t-t msdos\tset filesystem = msdos",NULL,this,ID_OPTION_8,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," reiserfs\t-t reiserfs\tset filesystem = reiserfs",NULL,this,ID_OPTION_9,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," squashfs\t-t squashfs\tset filesystem = squashfs",NULL,this,ID_OPTION_10,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
  new FXOption(pop," usbfs\t-t usbfs\tset filesystem = usbfs",NULL,this,ID_OPTION_11,JUSTIFY_HZ_APART|ICON_AFTER_TEXT);

  new FXOptionMenu(optionsframe,pop,LAYOUT_TOP|LAYOUT_FILL_X|FRAME_RAISED|FRAME_THICK|JUSTIFY_HZ_APART|ICON_AFTER_TEXT);
/*
  input1=new FXTextField(optionsframe,14,NULL,0,TEXTFIELD_NORMAL|JUSTIFY_LEFT,0,0,0,0, 3,3,3,3);
  input2=new FXTextField(optionsframe,14,NULL,0,TEXTFIELD_NORMAL|JUSTIFY_LEFT,0,0,0,0, 3,3,3,3);
  input3=new FXTextField(optionsframe,14,NULL,0,TEXTFIELD_NORMAL|JUSTIFY_LEFT,0,0,0,0, 3,3,3,3);
*/

  // label
  FXLabel *label2 = new FXLabel(optionsframe,"More Options\n\n"
                                             "overwrite\n"
                                             "automatic\n"
                                             "settings\n",
  NULL,LAYOUT_FILL_X|LAYOUT_CENTER_Y|JUSTIFY_LEFT,0,0,0,0,15);

  new FXSeparator(optionsframe,SEPARATOR_GROOVE|LAYOUT_FILL_X);
  // buttons
  buttonsframe=new FXHorizontalFrame(optionsframe,LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X|PACK_UNIFORM_WIDTH,0,0,0,0, 0,0,0,0);
  new FXButton(buttonsframe,tr("&CANCEL"),cancelicon,this,FXDialogBox::ID_CANCEL,BUTTON_DEFAULT|BUTTON_NORMAL|LAYOUT_CENTER_X|LAYOUT_CENTER_Y,0,0,0,0,20,20);


  fontspec=getApp()->reg().readStringEntry("SETTINGS","bodyfont","");
  if(!fontspec.empty()){
    bodyfont=new FXFont(getApp(),fontspec);
    list->setFont(bodyfont);
  }
  option="";
}


// Destroy
DiskMapDialog::~DiskMapDialog(){

  delete cancelicon;
}
// Append item with icon
void DiskMapDialog::appendItem(const FXString& name, FXIcon *icon){
  list->appendItem(name, icon, NULL, false); 
}

// Option
long DiskMapDialog::onCmdOption(FXObject*,FXSelector sel,void*){
  fprintf(stderr,"Chose option %d",FXSELID(sel)-ID_OPTION_1+1);
  FXint n_option=FXSELID(sel)-ID_OPTION_1+1;
  if(0<=n_option && n_option<12){
    switch(FXSELID(sel)){
	  case ID_OPTION_1: option=""; break;
	  case ID_OPTION_2: option="-t iso9660 "; break;
	  case ID_OPTION_3: option="-t ext4 "; break;
	  case ID_OPTION_4: option="-t ext3 "; break;
	  case ID_OPTION_5: option="-t ext2 "; break;
	  case ID_OPTION_6: option="-t ntfs "; break;
	  case ID_OPTION_7: option="-t vfat "; break;
	  case ID_OPTION_8: option="-t msdos "; break;
	  case ID_OPTION_9: option="-t reiserfs "; break;
	  case ID_OPTION_10: option="-t squashfs "; break;
	  case ID_OPTION_11: option="-t usbfs "; break;
    }
  }
  fprintf(stderr,": %s\n", option.text());
  return 1;
  }
