/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.5                   *
*********************************************************************************
* Id: diskmapdialog.h,                            2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#ifndef DISKMAPDIALOG_H
#define DISKMAPDIALOG_H

//! The diskmapdialog class shows the matching files

class DiskMapDialog : public FXDialogBox {
  FXDECLARE(DiskMapDialog)

protected:
  FXIcon *cancelicon;
  FXIcon *removableicon;
  FXHorizontalFrame *contentframe;
  FXVerticalFrame *optionsframe;
  FXVerticalFrame *dialogframe;
  FXHorizontalFrame *listframe;
  FXHorizontalFrame *buttonsframe;
  FXPopup *pop;
//  FXTextField *input1;
//  FXTextField *input2;
//  FXTextField *input3;
  FXList *list;
  FXFont *bodyfont;
  FXString fontspec;
  FXString option;

protected:
  DiskMapDialog(){};
  DiskMapDialog(const DiskMapDialog&){};


public:
  // Message handlers
  long onCmdOption(FXObject*,FXSelector,void*);

public:
  // Messages
  enum{
   ID_OPTION_1 = FXDialogBox::ID_LAST,
   ID_OPTION_2,
   ID_OPTION_3,
   ID_OPTION_4,
   ID_OPTION_5,
   ID_OPTION_6,
   ID_OPTION_7,
   ID_OPTION_8,
   ID_OPTION_9,
   ID_OPTION_10,
   ID_OPTION_11,
   ID_LAST,
  };

public:
  // Construct dialog
  DiskMapDialog(FXWindow *owner);

  void clearItems(){ list->clearItems(); }
  // Append new item name
  void appendItem(const FXString& name, FXIcon *icon);
  FXString getOption() const { return option; }
  FXString getCurrentItem() const { return list->getItemText(list->getCurrentItem()); }

  // Destroy
  virtual ~DiskMapDialog();
  };

#endif
