/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.5                   *
*********************************************************************************
* Id: filesearchdialog.cpp,                       2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#include <xincs.h>
#include <fx.h>
#include "config.h"
#include "icons.h"
#include "FileSearchDialog.h"


FXIMPLEMENT(FileSearchDialog,FXDialogBox,NULL,0)

// Create dialog
FileSearchDialog::FileSearchDialog(FXWindow *own)
  :FXDialogBox(own,"Search Results",DECOR_TITLE|DECOR_BORDER|DECOR_RESIZE,0,0,600,400, 4,4,4,4, 4,4){

  cancelicon=new FXGIFIcon(getApp(),m_cancel);

  dialogframe=new FXVerticalFrame(this,LAYOUT_FILL_X|LAYOUT_FILL_Y|FRAME_THICK|FRAME_SUNKEN, 0,0,0,0, 0,0,0,0,0,0);

  new FXLabel(dialogframe,"Click on the WANTED one to select it",NULL,LAYOUT_CENTER_X,0,0,0,0,0);
  new FXHorizontalSeparator(dialogframe,SEPARATOR_GROOVE|LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X);

  // list viewer
  listframe=new FXHorizontalFrame(dialogframe,LAYOUT_FILL_X|LAYOUT_FILL_Y,0,0,0,0, 0,0,0,0);
  list=new FXList(listframe,this,FXDialogBox::ID_ACCEPT,LIST_SINGLESELECT|LAYOUT_FILL_X|LAYOUT_FILL_Y);
  new FXHorizontalSeparator(dialogframe,SEPARATOR_GROOVE|LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X);

  // buttons
  buttonsframe=new FXHorizontalFrame(dialogframe,LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X|PACK_UNIFORM_WIDTH,0,0,0,0, 0,0,0,0);
  new FXButton(buttonsframe,tr("&CANCEL"),cancelicon,this,FXDialogBox::ID_CANCEL,BUTTON_DEFAULT|BUTTON_NORMAL|LAYOUT_CENTER_X|LAYOUT_CENTER_Y,0,0,0,0,20,20);
  new FXSeparator(dialogframe,SEPARATOR_GROOVE|LAYOUT_FILL_X);

  FXHorizontalFrame *copyright=new FXHorizontalFrame(dialogframe,LAYOUT_BOTTOM|LAYOUT_FILL_X,0,0,0,0,5,5,5,5);
  FXLabel *label = new FXLabel(copyright,"FXMovieManager - Current Search",NULL,LAYOUT_FILL_X|LAYOUT_CENTER_Y|JUSTIFY_LEFT,0,0,0,0,15);
  // set the same look of separators
  label->disable();

  fontspec=getApp()->reg().readStringEntry("SETTINGS","bodyfont","");
  if(!fontspec.empty()){
    bodyfont=new FXFont(getApp(),fontspec);
    list->setFont(bodyfont);
  }

}


// Destroy
FileSearchDialog::~FileSearchDialog(){

  delete cancelicon;
}
// Append item with icon
void FileSearchDialog::appendItem(const FXString& name, FXIcon *icon){
  list->appendItem(name, icon, NULL, false); 
}
