/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.5                   *
*********************************************************************************
* Id: filesearchdialog.h,                         2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#ifndef FILESEARCHDIALOG_H
#define FILESEARCHDIALOG_H

//! The filesearchdialog class shows the matching files

class FileSearchDialog : public FXDialogBox {
  FXDECLARE(FileSearchDialog)

protected:
  FXIcon *cancelicon;
  FXIcon *removableicon;
  FXVerticalFrame *dialogframe;
  FXHorizontalFrame *listframe;
  FXHorizontalFrame *buttonsframe;
  FXList *list;
  FXFont *bodyfont;
  FXString fontspec;

protected:
  FileSearchDialog(){};
  FileSearchDialog(const FileSearchDialog&){};

public:
  // Construct dialog
  FileSearchDialog(FXWindow *owner);


  void clearItems(){ list->clearItems(); }
  // Append new item name
  void appendItem(const FXString& name, FXIcon *icon);
  FXString getCurrentItem() const { return list->getItemText(list->getCurrentItem()); }

  // Destroy
  virtual ~FileSearchDialog();
  };

#endif
