/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.5                   *
*********************************************************************************
* Id: operationsdialog.h,                         2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#ifndef OPERATIONSDIALOG_H
#define OPERATIONSDIALOG_H

//! The operations dialog class shows video preview along with,
//! one of the tree options: copy, move, rename.

class OperationsDialog : public FXDialogBox {
  FXDECLARE(OperationsDialog)

protected:
  FXTextField *oldname;
  FXTextField *newname;
  FXTextField *prename;
  FXImageFrame *imageframe;

  FXIcon *cancelicon;
  FXIcon *accepticon;
  FXVerticalFrame *dialogframe;
  FXHorizontalFrame *buttonsframe;

private:
  OperationsDialog(){};
  OperationsDialog(const OperationsDialog&){};

public:
  // Construct copy/move/rename dialog
  OperationsDialog(FXWindow *owner,const FXString& name,FXint w, FXint h);

  // Get/set old name
  void setOldName(const FXString& nm){ oldname->setText(nm); }
  FXString getOldName() const { return oldname->getText(); }
  // Get/set new name
  void setNewName(const FXString& nm){ newname->setText(nm); }
  FXString getNewName() const { return newname->getText(); }
  // Get/set root name if any
  void setPreName(const FXString& nm){ prename->setText(nm); }
  FXString getPreName() const { return prename->getText(); }
  // Get/set new name
  void setNewImage(FXImage* img){ imageframe->setImage(img); }
  FXImage* getNewImage() { return imageframe->getImage(); }

  // Destroy
  virtual ~OperationsDialog();
  };

#endif
