/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 6.5                   *
*********************************************************************************
* Id: propertiesdialog.h,                         2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#ifndef PROPERTIESDIALOG_H
#define PROPERTIESDIALOG_H

//! The properties dialog class shows audio and video format,
//! file times and general file properties

class PropertiesDialog_lp : public FXDialogBox {
  FXDECLARE(PropertiesDialog_lp)

protected:
  FXIcon 		*accepticon;
  FXIcon        *abouticon;

  FXLabel       *filename;
  FXLabel       *filetype;
  FXLabel       *filemimetype;
  FXLabel       *filecommand;
  FXLabel       *filesize;
  FXLabel       *directory;

  FXLabel       *videoaspect;
  FXLabel       *audioformat;

  FXLabel       *createtime;
  FXLabel       *modifytime;

  FXTextField   *fileowner;
  FXTextField   *filegroup;

private:
  PropertiesDialog_lp(){};
  PropertiesDialog_lp(const PropertiesDialog_lp&){};

public:
  PropertiesDialog_lp(FXWindow *owner);
  virtual ~PropertiesDialog_lp();
  };




class PropertiesDialog_rp : public FXDialogBox {
  FXDECLARE(PropertiesDialog_rp)

protected:
  FXIcon 		*accepticon;
  FXIcon        *abouticon;

  FXLabel       *filename;
  FXLabel       *filetype;
  FXLabel       *filemimetype;
  FXLabel       *filecommand;
  FXLabel       *filesize;
  FXLabel       *directory;

  FXLabel       *videoaspect;
  FXLabel       *audioformat;

  FXLabel       *createtime;
  FXLabel       *modifytime;

  FXTextField   *fileowner;
  FXTextField   *filegroup;

private:
  PropertiesDialog_rp(){};
  PropertiesDialog_rp(const PropertiesDialog_rp&){};

public:
  PropertiesDialog_rp(FXWindow *owner);
  virtual ~PropertiesDialog_rp();
  };


#endif
