/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008-2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                                 v 6.6                    *
*********************************************************************************
* Id: fxplayer_utils.c,                                2008/01/01               *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#include "fxplayer_utils.h"

#ifdef ENABLE_PLAYERS

char alsa_volume_control(int alsastep){

    switch (alsastep) { 
    case 100:
    case 99:
    case 98:
    case 97:
    case 96:
        alsa_volume = "amixer set PCM 100% &";
        imgcommand = ICON_9;
        imgtime = ICON_9;
        break;
    case 95:
    case 94:
    case 93:
    case 92:
    case 91:
        alsa_volume = "amixer set PCM 95% &";
        imgcommand = ICON_9;
        imgtime = ICON_5;
        break;
    case 90:
    case 89:
    case 88:
    case 87:
    case 86:
        alsa_volume = "amixer set PCM 90% &";
        imgcommand = ICON_9;
        imgtime = ICON_0;
        break;
    case 85:
    case 84:
    case 83:
    case 82:
    case 81:
        alsa_volume = "amixer set PCM 85% &";
        imgcommand = ICON_8;
        imgtime = ICON_5;
        break;
    case 80:
    case 79:
    case 78:
    case 77:
    case 76:
        alsa_volume = "amixer set PCM 80% &";
        imgcommand = ICON_8;
        imgtime = ICON_0;
        break;
    case 75:
    case 74:
    case 73:
    case 72:
    case 71:
        alsa_volume = "amixer set PCM 75% &";
        imgcommand = ICON_7;
        imgtime = ICON_5;
        break;
    case 70:
    case 69:
    case 68:
    case 67:
    case 66:
        alsa_volume = "amixer set PCM 70% &";
        imgcommand = ICON_7;
        imgtime = ICON_0;
        break;
    case 65:
    case 64:
    case 63:
    case 62:
    case 61:
        alsa_volume = "amixer set PCM 65% &";
        imgcommand = ICON_6;
        imgtime = ICON_5;
        break;
    case 60:
    case 59:
    case 58:
    case 57:
    case 56:
        alsa_volume = "amixer set PCM 60% &";
        imgcommand = ICON_6;
        imgtime = ICON_0;
        break;
    case 55:
    case 54:
    case 53:
    case 52:
    case 51:
        alsa_volume = "amixer set PCM 55% &";
        imgcommand = ICON_5;
        imgtime = ICON_5;
        break;
    case 50:
    case 49:
    case 48:
    case 47:
    case 46:
        alsa_volume = "amixer set PCM 50% &";
        imgcommand = ICON_5;
        imgtime = ICON_0;
        break;
    case 45:
    case 44:
    case 43:
    case 42:
    case 41:
        alsa_volume = "amixer set PCM 45% &";
        imgcommand = ICON_4;
        imgtime = ICON_5;
        break;
    case 40:
    case 39:
    case 38:
    case 37:
    case 36:
        alsa_volume = "amixer set PCM 40% &";
        imgcommand = ICON_4;
        imgtime = ICON_0;
        break;
    case 35:
    case 34:
    case 33:
    case 32:
    case 31:
        alsa_volume = "amixer set PCM 35% &";
        imgcommand = ICON_3;
        imgtime = ICON_5;
        break;
    case 30:
    case 29:
    case 28:
    case 27:
    case 26:
        alsa_volume = "amixer set PCM 30% &";
        imgcommand = ICON_3;
        imgtime = ICON_0;
        break;
    case 25:
    case 24:
    case 23:
    case 22:
    case 21:
        alsa_volume = "amixer set PCM 25% &";
        imgcommand = ICON_2;
        imgtime = ICON_5;
        break;
    case 20:
    case 19:
    case 18:
    case 17:
    case 16:
        alsa_volume = "amixer set PCM 20% &";
        imgcommand = ICON_2;
        imgtime = ICON_0;
        break;
    case 15:
    case 14:
    case 13:
    case 12:
    case 11:
        alsa_volume = "amixer set PCM 15% &";
        imgcommand = ICON_1;
        imgtime = ICON_5;
        break;
    case 10:
    case 9:
    case 8:
    case 7:
    case 6:
        alsa_volume = "amixer set PCM 10% &";
        imgcommand = ICON_1;
        imgtime = ICON_0;
        break;
    case 5:
    case 4:
    case 3:
    case 2:
    case 1:
        alsa_volume = "amixer set PCM 5% &";
        imgcommand = ICON_0;
        imgtime = ICON_5;
        break;
    case 0:
        alsa_volume = "amixer set PCM 0% &";
        imgcommand = ICON_0;
        imgtime = ICON_0;
        break;
      default:
        break;
    }
}

float screen_increment_conversion(float increment_size, int increment_step){
    // set the screen size factor according to GUI command
    switch (increment_step) { 
   case -3:
        increment_size = 0.6;
        break;
      case -2:
        increment_size = 0.8;
        break;
      case -1:
        increment_size = 0.9;
        break;
      case 0: 
        increment_size = 1.0; // original size
        break;
      case 1:
        increment_size = 1.3;
        break;
      case 2:
        increment_size = 1.6;
        break;
      case 3:
        increment_size = 1.9;
        break;
      case 4:
        increment_size = 2.2;
        break;
      case 5:
        increment_size = 2.5;
        break;
      case 6:
        increment_size = 2.8;
        break;
      case 7:
        increment_size = 3.1;
        break;
      case 8:
        increment_size = 3.4;
        break;
    }
    return increment_size;
}


int video_screen_resize_w(int w, int enlarge_w){
    // enlarge the horizontal size of the picture if requested
    switch (enlarge_w) { 
      case 0: // original size
        break;
      case 1:
        w = w + w*0.1;
        break;
      case 2:
        w = w + w*0.2;
        break;
      case 3:
        w = w + w*0.3;
        break;
      case 4:
        w = w + w*0.4;
        break;
      case 5:
        w = w + w*0.5;
        break;
      case 6:
        w = w + w*0.6;
        break;
      case 7:
        w = w + w*0.7;
        break;
      case 8:
        w = w + w*0.8;
        break;
      case 9:
        w = w + w*0.9; // max size
        break;
      case -1:
        w = w - w*0.1;
        break;
      case -2:
        w = w - w*0.2;
        break;
      case -3:
        w = w - w*0.3;
        break;
      case -4:
        w = w - w*0.4;
        break;
      case -5:
        w = w - w*0.5;
        break;
      case -6:
        w = w - w*0.6;
        break;
      case -7:
        w = w - w*0.7;
        break;
      case -8:
        w = w - w*0.8;
        break;
      case -9:
        w = w - w*0.9; // min size
        break;
    }
    return w;
}


int video_screen_resize_h(int h, int enlarge_h){
    // enlarge the vertical size of the picture if requested
    switch (enlarge_h) { 
      case 0: // original size
        break;
      case 1:
        h = h + h*0.1;
        break;
      case 2:
        h = h + h*0.2;
        break;
      case 3:
        h = h + h*0.3;
        break;
      case 4:
        h = h + h*0.4;
        break;
      case 5:
        h = h + h*0.5;
        break;
      case 6:
        h = h + h*0.6;
        break;
      case 7:
        h = h + h*0.7;
        break;
      case 8:
        h = h + h*0.8;
        break;
      case 9:
        h = h + h*0.9; // max size
        break;
      case -1:
        h = h - h*0.1;
        break;
      case -2:
        h = h - h*0.2;
        break;
      case -3:
        h = h - h*0.3;
        break;
      case -4:
        h = h - h*0.4;
        break;
      case -5:
        h = h - h*0.5;
        break;
      case -6:
        h = h - h*0.6;
        break;
      case -7:
        h = h - h*0.7;
        break;
      case -8:
        h = h - h*0.8;
        break;
      case -9:
        h = h - h*0.9; // min size
        break;
    }
    return h;
}


void video_command_icon(int tunestep){

    switch(tunestep){
      case 0:
        imgcommand = ICON_0;
        imgtime = ICON_0;
        break;
      case 1:
        imgcommand = ICON_M;
        imgtime = ICON_1;
        break;
      case-1:
        imgcommand = ICON_P;
        imgtime = ICON_1;
        break;
      case 2:
        imgcommand = ICON_M;
        imgtime = ICON_2;
        break;
      case-2:
        imgcommand = ICON_P;
        imgtime = ICON_2;
        break;
      case 3:
        imgcommand = ICON_M;
        imgtime = ICON_3;
        break;
      case-3:
        imgcommand = ICON_P;
        imgtime = ICON_3;
        break;
      case 4:
        imgcommand = ICON_M;
        imgtime = ICON_4;
        break;
      case-4:
        imgcommand = ICON_P;
        imgtime = ICON_4;
        break;
      case 5:
        imgcommand = ICON_M;
        imgtime = ICON_5;
        break;
      case-5:
        imgcommand = ICON_P;
        imgtime = ICON_5;
        break;
      case 6:
        imgcommand = ICON_M;
        imgtime = ICON_6;
        break;
      case-6:
        imgcommand = ICON_P;
        imgtime = ICON_6;
        break;
      case 7:
        imgcommand = ICON_M;
        imgtime = ICON_7;
        break;
      case-7:
        imgcommand = ICON_P;
        imgtime = ICON_7;
        break;
      case 8:
        imgcommand = ICON_M;
        imgtime = ICON_8;
        break;
      case-8:
        imgcommand = ICON_P;
        imgtime = ICON_8;
        break;
      case 9:
        imgcommand = ICON_M;
        imgtime = ICON_9;
        break;
      case-9:
        imgcommand = ICON_P;
        imgtime = ICON_9;
        break;
      case 10:
        imgcommand = ICON_M;
        imgtime = ICON_M;
        break;
      case-10:
        imgcommand = ICON_P;
        imgtime = ICON_P;
        break;
      default:
        break;
    }
}

#endif /* ENABLE_PLAYERS */
