/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008-2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                                 v 6.6                    *
*********************************************************************************
* Id: fxplayer_utils.h,                                2008/01/01               *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/

#ifndef FXPLAYER_UTILS_H
#define FXPLAYER_UTILS_H

#include "config.h"

#ifdef ENABLE_PLAYERS

/*if your path is different*/
#ifdef INSTALLATIONPATH
 #define  ICON_LG  INSTALLATIONPATH "/share/fxmm/cmd_logo.bmp"
 #define  ICON_B   INSTALLATIONPATH "/share/fxmm/cmd_back.bmp"
 #define  ICON_BB  INSTALLATIONPATH "/share/fxmm/cmd_bback.bmp"
 #define  ICON_F   INSTALLATIONPATH "/share/fxmm/cmd_for.bmp"
 #define  ICON_FF  INSTALLATIONPATH "/share/fxmm/cmd_ffor.bmp"
 #define  ICON_SG  INSTALLATIONPATH "/share/fxmm/cmd_size_g.bmp"
 #define  ICON_SO  INSTALLATIONPATH "/share/fxmm/cmd_size_o.bmp"
 #define  ICON_SS  INSTALLATIONPATH "/share/fxmm/cmd_size_s.bmp"
 #define  ICON_P   INSTALLATIONPATH "/share/fxmm/cmd_plus.bmp"
 #define  ICON_M   INSTALLATIONPATH "/share/fxmm/cmd_minus.bmp"
 #define  ICON_0   INSTALLATIONPATH "/share/fxmm/cmd_0.bmp"
 #define  ICON_1   INSTALLATIONPATH "/share/fxmm/cmd_1.bmp"
 #define  ICON_2   INSTALLATIONPATH "/share/fxmm/cmd_2.bmp"
 #define  ICON_3   INSTALLATIONPATH "/share/fxmm/cmd_3.bmp"
 #define  ICON_4   INSTALLATIONPATH "/share/fxmm/cmd_4.bmp"
 #define  ICON_5   INSTALLATIONPATH "/share/fxmm/cmd_5.bmp"
 #define  ICON_6   INSTALLATIONPATH "/share/fxmm/cmd_6.bmp"
 #define  ICON_7   INSTALLATIONPATH "/share/fxmm/cmd_7.bmp"
 #define  ICON_8   INSTALLATIONPATH "/share/fxmm/cmd_8.bmp"
 #define  ICON_9   INSTALLATIONPATH "/share/fxmm/cmd_9.bmp"
#else
 #define  ICON_LG  "/usr/local/share/fxmm/cmd_logo.bmp"
 #define  ICON_B   "/usr/local/share/fxmm/cmd_back.bmp"
 #define  ICON_BB  "/usr/local/share/fxmm/cmd_bback.bmp"
 #define  ICON_F   "/usr/local/share/fxmm/cmd_for.bmp"
 #define  ICON_FF  "/usr/local/share/fxmm/cmd_ffor.bmp"
 #define  ICON_SG  "/usr/local/share/fxmm/cmd_size_g.bmp"
 #define  ICON_SO  "/usr/local/share/fxmm/cmd_size_o.bmp"
 #define  ICON_SS  "/usr/local/share/fxmm/cmd_size_s.bmp"
 #define  ICON_P   "/usr/local/share/fxmm/cmd_plus.bmp"
 #define  ICON_M   "/usr/local/share/fxmm/cmd_minus.bmp"
 #define  ICON_0   "/usr/local/share/fxmm/cmd_0.bmp"
 #define  ICON_1   "/usr/local/share/fxmm/cmd_1.bmp"
 #define  ICON_2   "/usr/local/share/fxmm/cmd_2.bmp"
 #define  ICON_3   "/usr/local/share/fxmm/cmd_3.bmp"
 #define  ICON_4   "/usr/local/share/fxmm/cmd_4.bmp"
 #define  ICON_5   "/usr/local/share/fxmm/cmd_5.bmp"
 #define  ICON_6   "/usr/local/share/fxmm/cmd_6.bmp"
 #define  ICON_7   "/usr/local/share/fxmm/cmd_7.bmp"
 #define  ICON_8   "/usr/local/share/fxmm/cmd_8.bmp"
 #define  ICON_9   "/usr/local/share/fxmm/cmd_9.bmp"
#endif

char *imgcommand;
char *imgtime;
char *alsa_volume;
static int tunestep = 0;

char alsa_volume_control(int alsastep);

/* set the relative increment correction of the screen size */
float screen_increment_conversion(float increment_size, int increment_step);

/* enlarge the horizontal size of the picture if requested */
int video_screen_resize_w(int w, int enlarge_w);

/* enlarge the vertical size of the picture if requested */
int video_screen_resize_h(int h, int enlarge_h);

/* set the video command icon */
void video_command_icon(int tunestep);

#endif /* ENABLE_PLAYERS */

#endif /* FXPLAYER_UTILS_H */
